<?php

/**
 *      【TuntronJxt v4.0】 (C)2010-2012 Tuntron Inc.
 *      
 *    	http://www.tuntron.com   QQ：1121251729
 *		
 *      &验证函数文件&
 */

if (!defined('IS_RUN')) die('Forbidden');

//check if is qq
function is_qq($qq)
{
	if(ereg("^[1-9][0-9]{4,}$",$qq)) 
	{
		return true;
	}
	else 
	{
		return false;
	}
}
//check if is time
function is_time($time)
{
	if(ereg("^(0?[1-9]|1[0-9]|2[0-3]):[0-5][0-9]$",$time)) 
	{
		return true;
	}
	else 
	{
		return false;
	}
}

//check if is email address 
function is_email($C_mailaddr)
{ 
	if (!eregi("^[_a-z0-9-]+(.[_a-z0-9-]+)*@[a-z0-9-]+(.[a-z0-9-]+)*$",$C_mailaddr)) 
	{ 
		return false; 
	} 
	return true; 
}
//check if is www address
function is_www($C_weburl)
{ 
	if (!ereg("^http://[_a-zA-Z0-9-]+(.[_a-zA-Z0-9-]+)*$", $C_weburl)) 
	{ 
		return false; 
	} 
	return true; 
} 
//check if is password
function is_pwd($C_passwd) 
{ 
	if (!CheckLengthBetween($C_passwd, 4, 20)) return false; //宽度检测 
	if (!ereg("^[_a-zA-Z0-9]*$", $C_passwd)) return false; //特殊字符检测 
	return true; 
}


//check if is telephone number
function isphonenum($C_telephone) 
{ 
	if(strlen($C_telephone) == "11") 
	{ 
	$n = preg_match_all("/^13[0-9]{1}[0-9]{8}$|15[0-9]{1}[0-9]{8}$|189[0-9]{8}$|18[0-9]{1}[0-9]{8}$/",$C_telephone,$array); 
	if($array[0][0]) return true;
	
	return false;
	
	}else{ 
	return false;
	}
	
}

//check the memberID
function CheckUserID($uid,$msgtitle='账户')
{
	for($i=0;isset($uid[$i]);$i++)
	{
			if(ord($ck_uid[$i]) > 0x80)
			{
				if(isset($uid[$i+1]) && ord($uid[$i+1])>0x40)
				{
					$i++;
				}
				else
				{
					return $msgtitle.'可能含有乱码，建议你改用英文字母和数字组合！';
				}
			}
	}
	return 'ok';
}
?>